using System;

namespace PictureGrabber
{
    class PgConsole
    {
        static void Main(string[] args)
        {
            Console.WriteLine("---------------------------------");
            Console.WriteLine("PictureGrabber v.1.0");
            Console.WriteLine("CLR v." + System.Environment.Version.ToString());
            Console.WriteLine();

            // Create an instance of the job configuration class:

            PgConfig jobConfig;
            jobConfig = new PgConfig();

            // Initialise the configuration out of the app.config file:

            if( jobConfig.LoadFromAppConfig() )
            {
                //------------------------------------------
                // Temporary: List the parameter values:

                jobConfig.DumpToConsole();

                //------------------------------------------
            }
            else
            {
                Console.WriteLine("Error: " + jobConfig.errorMessage );
            }

            Console.WriteLine("Press any key...");
            Console.ReadLine();

            Console.WriteLine("-------------------------------------------");
            Console.WriteLine("Completed.");

        }

    }
}
